### Method

# Gimp ConfigWriter finish

#### Declaration [src]

    gboolean
    gimp_config_writer_finish (
      GimpConfigWriter* writer,
      const gchar* footer,
      GError** error
    )

#### Description [src]

This function finishes the work of `writer` and unrefs it afterwards. It closes all open elements, appends an optional comment and releases all resources allocated by `writer`.

Using any function except `gimp_config_writer_ref()` or `gimp_config_writer_unref()` after this function is forbidden and will trigger warnings.

Available since: | 2.4

#### Parameters

`footer` | `const gchar*`
| Text to include as comment at the bottom of the file.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if everything could be successfully written, `FALSE` otherwise.